cwlVersion: v1.2
class: CommandLineTool
hints:
  DockerRequirement:
    dockerPull: mcr.microsoft.com/dotnet/sdk:7.0
requirements:
  # - class: InlineJavascriptRequirement
  - class: InitialWorkDirRequirement
    listing:
      - entryname: arc
        entry: $(inputs.arcDirectory)
  - class: EnvVarRequirement
    envDef:
      - envName: DOTNET_NOLOGO
        envValue: "true"
  - class: NetworkAccess
    networkAccess: true
baseCommand: [dotnet, fsi, "./arc/workflows/EvalTurboID/EvalTurboID.fsx"]
inputs:
  arcDirectory:
    type: Directory
  input:
    type: File
    inputBinding:
      position: 1
      prefix: -i
  runID:
    type: string
    inputBinding:
      position: 2
      prefix: -id
  fdr:
    type: float?
    inputBinding:
      position: 3
      prefix: -fdr
outputs:
  output:
    type: Directory
    outputBinding:
      glob: $(runtime.outdir)/$(inputs.runID)


arc:has technology type:
  - class: arc:technology type
    arc:annotation value: "Docker Container"

arc:technology platform: ".NET"

arc:performer:
  - class: arc:Person
    arc:first name: "David"
    arc:last name: "Zimmer"
    arc:email: "d_zimmer@rptu.de"
    arc:affiliation: "RPTU Kaiserslautern/Landau"
    arc:has role: 
      - class: arc:role
        arc:term accession: "https://credit.niso.org/contributor-roles/formal-analysis/"
        arc:annotation value: "Formal analysis"

arc:has process sequence:
  - class: arc:process sequence
    arc:name: "TurboID"
    arc:has parameter value: 
      - class: arc:process parameter value
        arc:has parameter:
          - class: arc:protocol parameter
            arc:has parameter name: 
            - class: arc:parameter name
              arc:term accession: "http://edamontology.org/operation_0004"
              arc:term source REF: "EMBRACE"
              arc:annotation value: "Operation"
        arc:value: 
          - class: arc:ontology annotation
            arc:term accession: "http://edamontology.org/operation_0362"
            arc:term source REF: "EMBRACE"
            arc:annotation value: "Genome annotation"
      - class: arc:process parameter value
        arc:has parameter:
          - class: arc:protocol parameter
            arc:has parameter name: 
            - class: arc:parameter name
              arc:term accession: "http://edamontology.org/operation_0004"
              arc:term source REF: "EMBRACE"
              arc:annotation value: "Operation"
        arc:value: 
          - class: arc:ontology annotation
            arc:term accession: "http://edamontology.org/operation_3435"
            arc:term source REF: "EMBRACE"
            arc:annotation value: "Standardisation and normalisation"
      - class: arc:process parameter value
        arc:has parameter:
          - class: arc:protocol parameter
            arc:has parameter name: 
            - class: arc:parameter name
              arc:term accession: "http://edamontology.org/operation_0004"
              arc:term source REF: "EMBRACE"
              arc:annotation value: "Operation"
        arc:value: 
          - class: arc:ontology annotation
            arc:term accession: "http://edamontology.org/operation_3557"
            arc:term source REF: "EMBRACE"
            arc:annotation value: "Imputation"
      - class: arc:process parameter value
        arc:has parameter:
          - class: arc:protocol parameter
            arc:has parameter name: 
            - class: arc:parameter name
              arc:term accession: "http://purl.obolibrary.org/obo/OBCS_0000001"
              arc:term source REF: "OBCS"
              arc:annotation value: "statistical data analysis"
        arc:value: 
          - class: arc:ontology annotation
            arc:term accession: "http://purl.obolibrary.org/obo/OBCS_0000141"
            arc:term source REF: "OBCS"
            arc:annotation value: "significance analysis of microarrays"

$namespaces:
  arc: https://github.com/nfdi4plants/ARC_ontology

$schemas:
  - https://raw.githubusercontent.com/nfdi4plants/ARC_ontology/main/ARC_v2.0.owl