
#r "nuget: BioFSharp.IO, 2.0.0-preview.3"
#r "nuget: FSharp.Stats, 0.4.9"
#r "nuget: Plotly.NET, 3.0.1"
#r "nuget: Deedle, 3.0.0-beta.1"
#r "nuget: DeedleExtensions, 0.2.0"
open FSharp.Stats
open Plotly.NET
open Deedle
open BioFSharp.IO
open DeedleExtensions


let oneP = __SOURCE_DIRECTORY__ + @"\..\..\runs\2_CDJ5_MSFragger\CDJ5_MS251DDAfs_combined_protein.tsv"
let twoP = __SOURCE_DIRECTORY__ + @"\..\..\runs\2_CDJ5_MSFragger\TEF_PSBQ_LON_MS264DDAfs_combined_protein.tsv"

let one :Frame<string,string>= 
    Frame.ReadCsv(path = oneP, hasHeaders=true, separators="\t"(*,schema= schema*)) 
    |> Frame.indexRowsUsing (fun s -> s.GetAs<string>("Protein") ) 
    |> Frame.filterCols (fun k s -> k.Contains " Intensity" )
    |> Frame.filterCols (fun k s -> k.Contains " Intensity" && k.Contains "LFQ" |> not)
    |> Frame.mapColKeys (fun k -> if k.Contains "UVM" then k.Replace("UVM","CGI_TurboID") else k ) 
      
one.Print()

let two :Frame<string,string>= 
    Frame.ReadCsv(path = twoP, hasHeaders=true, separators="\t"(*,schema= schema*)) 
    |> Frame.indexRowsUsing (fun s -> s.GetAs<string>("Protein") )
    |> Frame.filterCols (fun k s -> k.Contains " Intensity" && k.Contains "LFQ" |> not)
    |> Frame.mapColKeys (fun k -> if k.Contains "Che4" then k.Replace("Che4","Che4_2") elif  k.Contains "Cher13" then k.Replace("Cher13","Cher13_2") else k ) 


let comb =
    Frame.join JoinKind.Outer one two

let outP = __SOURCE_DIRECTORY__ + @"\..\..\runs\3_CDJ5_MSFraggerCombined\MSFraggerCombined.tsv"
comb.SaveCsv(path=outP,includeRowKeys=true,keyNames=["Protein"],separator='\t')






